# Uses of Enum
org.eclipse.birt.chart.model.attribute.Position

Packages that use Position
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Position in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type Position
Modifier and Type
Method
Description
`static final int`
Methods.`getLabelPosition(Position lp)`
Converts to internal (non public-model) data structures

## Uses of Position in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Position
Modifier and Type
Method
Description
`Position`
SeriesRenderingHints.`getLabelPosition(Series se)`
`Position`
SeriesRenderingHints3D.`getLabelPosition(Series se)`

## Uses of Position in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Position
Modifier and Type
Method
Description
`Position`
ImageRenderEvent.`getPosition()`
Methods in org.eclipse.birt.chart.event with parameters of type Position
Modifier and Type
Method
Description
`void`
ImageRenderEvent.`setPosition(Position pos)`
Sets the position of the image.

## Uses of Position in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type Position
Modifier and Type
Field
Description
`static final List<Position>`
Position.`VALUES`
A public read-only list of all the 'Position' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return Position
Modifier and Type
Method
Description
`static Position`
Position.`get(int value)`
Returns the 'Position' literal with the specified integer value.
`static Position`
Position.`get(String literal)`
Returns the 'Position' literal with the specified literal value.
`static Position`
Position.`getByName(String name)`
Returns the 'Position' literal with the specified name.
`static Position`
Position.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Position[]`
Position.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Position in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return Position
Modifier and Type
Method
Description
`Position`
AttributeFactoryImpl.`createPositionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Position`
AttributeFactoryImpl.`createPositionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of Position in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Position
Modifier and Type
Method
Description
`Position`
Axis.`getLabelPosition()`
Returns the value of the 'Label Position' attribute.
`Position`
Series.`getLabelPosition()`
Returns the value of the 'Label Position' attribute.
`Position`
Axis.`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type Position
Modifier and Type
Method
Description
`void`
Axis.`setLabelPosition(Position value)`
Sets the value of the ' `Label Position`' attribute.
`void`
Series.`setLabelPosition(Position value)`
Sets the value of the '`Label Position`' attribute.
`void`
Axis.`setTitlePosition(Position value)`
Sets the value of the ' `Title Position`' attribute.

## Uses of Position in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Position
Modifier and Type
Method
Description
`Position`
AxisImpl.`getLabelPosition()`
`Position`
SeriesImpl.`getLabelPosition()`
`Position`
AxisImpl.`getTitlePosition()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Position
Modifier and Type
Method
Description
`void`
AxisImpl.`setLabelPosition(Position newLabelPosition)`
`void`
SeriesImpl.`setLabelPosition(Position newLabelPosition)`
`void`
AxisImpl.`setTitlePosition(Position newTitlePosition)`

## Uses of Position in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Position
Modifier and Type
Method
Description
`Position`
Legend.`getPosition()`
Returns the value of the 'Position' attribute.
`Position`
Legend.`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Position
Modifier and Type
Method
Description
`void`
Legend.`setPosition(Position value)`
Sets the value of the '`Position`' attribute.
`void`
Legend.`setTitlePosition(Position value)`
Sets the value of the '`Title Position`' attribute.

## Uses of Position in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Position
Modifier and Type
Method
Description
`Position`
LegendImpl.`getPosition()`
`Position`
LegendImpl.`getTitlePosition()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Position
Modifier and Type
Method
Description
`void`
LegendImpl.`setPosition(Position newPosition)`
`void`
LegendImpl.`setTitlePosition(Position newTitlePosition)`

## Uses of Position in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Position
Modifier and Type
Method
Description
`Position`
GanttSeries.`getDecorationLabelPosition()`
Returns the value of the 'Decoration Label Position' attribute.
`Position`
GanttSeries.`getEndMarkerPosition()`
Returns the value of the 'End Marker Position' attribute.
`Position`
GanttSeries.`getStartMarkerPosition()`
Returns the value of the 'Start Marker Position' attribute.
`Position`
PieSeries.`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
Methods in org.eclipse.birt.chart.model.type with parameters of type Position
Modifier and Type
Method
Description
`void`
GanttSeries.`setDecorationLabelPosition(Position value)`
Sets the value of the '`Decoration Label Position`' attribute.
`void`
GanttSeries.`setEndMarkerPosition(Position value)`
Sets the value of the '`End Marker Position`' attribute.
`void`
GanttSeries.`setStartMarkerPosition(Position value)`
Sets the value of the '`Start Marker Position`' attribute.
`void`
PieSeries.`setTitlePosition(Position value)`
Sets the value of the ' `Title Position`' attribute.

## Uses of Position in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Position
Modifier and Type
Method
Description
`Position`
GanttSeriesImpl.`getDecorationLabelPosition()`
`Position`
GanttSeriesImpl.`getEndMarkerPosition()`
`Position`
GanttSeriesImpl.`getStartMarkerPosition()`
`Position`
PieSeriesImpl.`getTitlePosition()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Position
Modifier and Type
Method
Description
`void`
GanttSeriesImpl.`setDecorationLabelPosition(Position newDecorationLabelPosition)`
`void`
GanttSeriesImpl.`setEndMarkerPosition(Position newEndMarkerPosition)`
`void`
GanttSeriesImpl.`setStartMarkerPosition(Position newStartMarkerPosition)`
`void`
PieSeriesImpl.`setTitlePosition(Position newTitlePosition)`

## Uses of Position in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Position
Modifier and Type
Method
Description
`Position`
BaseRenderer.`switchPosition(Position po)`
Switch Position value due to right-left setting.
Methods in org.eclipse.birt.chart.render with parameters of type Position
Modifier and Type
Method
Description
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo)`
This convenience method renders the data point label along with the shadow If there's a need to render the data point label and the shadow separately, each call should be made separately by calling into the primitive rendering interface directly.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo, DeferredCache _dc)`
Renderer label with specified `DeferredCache`.
`Position`
BaseRenderer.`switchPosition(Position po)`
Switch Position value due to right-left setting.